---

- name: check if sphinxbase is installed
  stat:
    path: /usr/local/bin/sphinx_fe
  register: install_check
  ignore_errors: "{{ ansible_check_mode }}"

- name: install pocketsphinx
  aur:
    use: auto
    name: "{{ item }}"
    state: present
  loop:
    - pocketsphinx
    - swig
  become_user: "{{ user.name }}"
  tags: ['packages']

- block:
    - name: clone sphinxbase repository
      git:
        repo: https://github.com/cmusphinx/sphinxbase.git
        dest:  /tmp/sphinxbase
        accept_hostkey: yes # not required. if C(yes), ensure that "-o StrictHostKeyChecking=no" is present as an ssh option.
        force: no # not required. If C(yes), any modified files in the working repository will be discarded.  Prior to 0.7, this was always 'yes' and could not be disabled.  Prior to 1.9, the default was `yes`
        update: no # not required. If C(no), do not retrieve new revisions from the origin repository Operations like archive will work on the existing (old) repository and might not respond to changes to the options version or remote.
        recursive: yes # not required. if C(no), repository will be cloned without the --recursive option, skipping sub-modules.

    - name: configure, make and install sphinxbase
      shell: |
        ./autogen.sh && make && make install
      args:
        chdir: /tmp/sphinxbase

  when: not install_check.stat.exists
